org.bdgenomics.cannoli.cli

# Gem

###
Related Docs: object Gem | package cli

#### class Gem extends BDGSparkCommand[GemArgs] with Logging

GEM-Mapper command line wrapper.

Linear Supertypes
BDGSparkCommand[GemArgs], Logging, BDGCommand, Runnable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Gem
2. BDGSparkCommand
3. Logging
4. BDGCommand
5. Runnable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Gem(args: GemArgs)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val args: GemArgs

   Attributes
     protected
   Definition Classes
     Gem → BDGSparkCommand

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### val companion: Gem.type

   Definition Classes
     Gem → BDGCommand

8. #### def debug(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

   Attributes
     protected
   Definition Classes
     Logging

9. #### def debug(msg: ⇒ Any, t: ⇒ Throwable): Unit

   Attributes
     protected
   Definition Classes
     Logging

10. #### def debug(msg: ⇒ Any): Unit

    Attributes
      protected
    Definition Classes
      Logging

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def error(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

14. #### def error(msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

15. #### def error(msg: ⇒ Any): Unit

    Attributes
      protected
    Definition Classes
      Logging

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

19. #### def info(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

20. #### def info(msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

21. #### def info(msg: ⇒ Any): Unit

    Attributes
      protected
    Definition Classes
      Logging

22. #### def initializeMetrics(sc: SparkContext): Option[MetricsListener]

    Definition Classes
      BDGSparkCommand

23. #### def isDebugEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

24. #### def isErrorEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

25. #### def isInfoEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

26. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

27. #### def isTraceEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

28. #### def isWarnEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

29. #### def logger: Logger

    Attributes
      protected
    Definition Classes
      Logging

30. #### def loggerName: String

    Attributes
      protected
    Definition Classes
      Logging

31. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

32. #### final def notify(): Unit

    Definition Classes
      AnyRef

33. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

34. #### def printMetrics(totalTime: Long, metricsListener: Option[MetricsListener]): Unit

    Definition Classes
      BDGSparkCommand

35. #### def run(sc: SparkContext): Unit

    Definition Classes
      Gem → BDGSparkCommand

36. #### def run(): Unit

    Definition Classes
      BDGSparkCommand → Runnable

37. #### val stringency: ValidationStringency

38. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

39. #### def toString(): String

    Definition Classes
      AnyRef → Any

40. #### def trace(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

41. #### def trace(msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

42. #### def trace(msg: ⇒ Any): Unit

    Attributes
      protected
    Definition Classes
      Logging

43. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### def warn(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

47. #### def warn(msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

48. #### def warn(msg: ⇒ Any): Unit

    Attributes
      protected
    Definition Classes
      Logging

### Inherited from BDGSparkCommand[GemArgs]

### Inherited from Logging

### Inherited from BDGCommand

### Inherited from Runnable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped